------------------------------------------------------------------------
          Dump4w 変更歴
　　　　　All Rights Reserved.Copyright (C) 1988,2013,K.Horishima
------------------------------------------------------------------------
[MS-DOS版リリース]
FILE DUMP & EDIT UTILITY
1988/3/15 01-01リリース

[UNIX版リリース]
FILE DUMP & EDIT UTILITY
1990年	01-01リリース
	(1)UNIXに移植

[Windows 3.1版/16bit版]
1994/11/6 1.02リリース
	(1)Windowsに移植

1995/6/18 1.03リリース
	(1)ファイル一覧ダイアログを支援

[Windows 95/32bit版]
1998/5/2 1.04リリース
	(1)Drag&Dropを支援
	(2)ウィンドウの大きさに合わせた表示を支援
	(3)カーソル座標表示を支援
	(4)カーソル移動による１行スクロールを支援

1998/12/6 1.05リリース
	(1)フォント指定を支援
	(2)範囲指定保存を支援
	(3)文字列検索を支援
	(4)16進保存を支援
	(5)クリップボードへのコピーを支援
	(6)フォント変更時に再表示されないのを対策
	(7)次の行にまたがる漢字が正しく表示されるように改善
	(8)1MB以上のファイルのとき、スライダーが正しく動作しないのを対策
	(9)位置指定を支援
	(10)長時間処理のときにカーソルを砂時計にするよう改善

2001/6/10 1.06リリース
	(1)16進・文字列での編集を支援。
	(2)16進での検索を支援
	(3)ファイルが読み取り専用属性の時でも開くように改善
	(4)起動時は、読み取り専用でファイルを開くように改善

2002/1/15 1.07リリース
	(1)4GBファイル支援

2003/2/21 1.08リリース
	(1)色指定、背景色指定を支援
	(2)フォント、色の前回値保持を支援
	(3)フィルターの初期値の設定を支援
	(4)readme.txt,history.txtのメニューからの起動を支援
	(5)バージョン情報で、HPやメールへの起動を支援
	(6)変更歴の誤記を訂正
	(7)文字表示でUnicodeを支援
	(8)16進での次の検索が動かなくなっていたのを対策
	(9)検索で結果表示が画面を跨って表示される場合があるのを対策
	(10)MRUの保存場所をWindowsディレクトリからレジストリに変更

2003/2/22 1.09リリース
	(1)文字領域でのキー入力でUnicode対応されていなかったのを対策
	(2)範囲選択表示が上手く表示されていなかったのを対策
	(3)選択中にウィンドウ外でマウスボタンを離すと、戻ってきたときに選択中になったままのを対策
	(4)SJISのとき、文字領域で0x20〜0x2fの文字が常に「.」で表示されていたのを対策

2003/2/22 1.10リリース
	(1)1.09(4)の修正で、16進ダンプ表示が抜けることがあるのを対策

2003/2/22 1.11リリース
	(1)BITMAPリソースの表示を支援
	(2)貼付けを支援
	(3)ファイルを「開く」時に書き込みで開いているのに、読み取り専用になっていたのを対策
	(4)読み取り専用のとき、ファイルを参照共有でオープンするように変更
	(5)検索時にスライダーを追従するように対策
	(6)Unicodeの時に、半角を入力したときに、次のページに跨る場合を対策
	(7)大きな範囲をコピーするとAPエラーになるのを対策

2003/2/23 1.12リリース
	(1)16進ファイル格納したテキストファイルを貼付けるとデータが化けるのを対策

2003/4/2 1.13リリース
	(1)BITMAPリソースのBITMAPファイルへの保存を支援（BITMAPリソースの表示中だけ）
	(2)前への検索(Shift+F3)を支援
	(3)BITMAPリソースの表示ウィンドウのサイズが少し小さかったのを対策
	(4)前頁、次頁で現在位置からの行数が少ないとき先頭または最終へ行かないのを対策
	(5)スクロールの最大値が-1されていたのを対策

2003/4/18 1.14リリース
	(1)レジストリ削除を支援しました。
	(2)インストーラを支援しました。

2003/5/22 1.15リリース
	(1)ホイールマウスのホイールでスクロールができるようにしました。
	(2)文字表示でEUCを支援しました。
	(3)文字表示がUnicodeの時、半角カナ入力時に入力位置を２つずらすように改善しました。

2003/6/12 1.16リリース
	(1)マークを支援しました。
	(2)背景をちらつかないようにしました。
	(3)Shift+矢印キーなどで範囲選択できるようにしました。
	(4)範囲選択表示がおかしかったのを対策しました。
	(5)起動時にカーソル位置が左下になるのを対策しました。

2003/6/21 1.17リリース
	(1)置換を支援しました。
	(2)上書きモードのときにBITMAP表示ができなかったのを対策しました。

2003/7/9 1.18βリリース
	(1)範囲書き換えを支援しました。

2003/9/8 1.18リリース
	(1)バイナリ比較を支援しました。（表示のみ）

2003/9/23 1.19βリリース
	(1)１６進数のa〜f表記を大文字にする指定を支援しました。

2003/11/11 1.19β2リリース
	(1)64GBまでのファイルを支援しました。(データ未入手のため動作未確認）

2003/11/14 1.19β3リリース
	(1)4GB以上のファイルを開くとエラーになるのを対策しました。
	(2)スクロールバーでスクロールしたとき80000000以上のときスライダーが先頭に戻ってしまうのを対策しました。
	(3)アドレスを入力するダイアログでアドレス表示が4GB以上に対応していなかったのを対策しました。
	*マークはまだ4GB以上のファイルに対応できていません。

2003/12/13 1.19リリース
	(1)マークを4GB以上に対応しました。

2004/3/11 1.20βリリース
	(1)カーソル位置がおかしくなるのを対策しました。

2004/3/14 1.20リリース
	(1)Susie 32bit plug-inに対応しました。
	(2)16進検索で桁数が２の倍数でないときに異常終了するのを対策しました。

2004/4/9 1.21リリース
	(1)範囲選択をせずに部分保存などを行うと、異常な範囲が設定されるのを対策しました。
	(2)アドレスを16進に変換するときに、桁落ちするのを対策しました。

2004/8/28 1.22リリース
	(1)選択した範囲が残ることがあるのを対策しました。
	(2)先頭ページの手前で１行スクロールすると先頭まで戻ってしまうのを対策しました。
	(3)ファイルを開いていないときに矢印キーを操作すると選択範囲が不正に表示されるのを対策しました。
	(4)高さがマイナス値のビットマップに対応しました。
	(5)カタカナを半角に統一しました。

2005/9/25 1.23リリース
	(1)位置、サイズを保持するようにしました。

2006/2/20 1.24リリース
	(1)一括置換指定を支援しました。
	(2)検索、置換中をESCキーで中断可能としました。
	(3)ジャンプにショートカットキーを支援しました。
	(4)ファイルを開いた時に書き込み可能とする設定をiniファイルの設定で可能としました。
	(5)最近使用したファイルを表示しなくする設定をiniファイルの設定で可能としました。
	(6)Drag&DropやMRUからファイルを開いたときに、「読み取り専用」のチェックが初期化されていなかったのを対策しました。
	(7)検索中に終了したときに異常終了するのを回避しました。
	(8)16進表示の字間をクリックして数字を入力すると異常終了するのを対策しました。

2007/4/6 1.25βリリース
	(1)1.19β2から貼り付けの動作がおかしくなっていたのを対策しました。
	(2)1.19β2の対応で16進ﾌｧｲﾙ格納、コピーが4GB以上のファイルに対応していなかったのを対策しました。
	(3)前の検索(Shift+F3)で検索すると異常終了するのを対策しました。
	(4)1.22からBitmapの表示がうまく動作していなかったのを対策しました。
	(5)読み取り属性のファイルのときは、読み取り専用のみとするようにしました。
	(6)挿入・削除を支援しました。

2008/3/10 1.25リリース
	(1)BMPを読み込んだとき、右上にゴミが出るのを対策しました。
	(2)ゲームなどのpack画像用のSusie 32bit plug-inでメモリ渡しに対応していないのときに、画像が表示されない場合があるのを対策しました。
	(3)内部処理のアドレス計算で__int64になっていない部分を見直しました。
	(4)readme.txtにWindows(R) Vistaの支援を追記
	(5)ステータスバーに選択範囲、文字コード、読み取り専用の状態を表示するようにしました。
	(6)F4でもマーク指定できるようにしました。
	(7)マウスホイールの動作がコントロールパネルの設定になるように対策しました。

2008/11/15 1.26リリース
	(1)4GB未満の時は、アドレス表示の桁数を減らすようにしました。
	(2)1.25から文字入力が不正になっていたのを対策しました。
	(3)ファイルの終端で16バイト未満のときに、余白を埋めるようにしました。

2008/11/18 1.27リリース
	(1)内部処理を__int64からunsigned __int64に変更し、ファイルサイズの上限をなくしました。(動作確認は、200GBのため1TBまでを推奨)
	(2)4GBより大きいとき、スライダーが動かなかったのを対策しました。
	(3)文字領域のカーソルをアンダーバーに変更しました。
	(4)フォントのデフォルトをＭＳゴシック１１ポイントに変更しました。
	(5)DEBUG版の時に、初めて起動するときにASSERTが表示されるのを対策しました。

2008/12/9 1.28リリース
	(1)部分保存、１６進ファイル格納、ジャンプ、範囲書き換えコマンドで64GB以上を指定できなかったのを対策しました。
	(2)動作確認を400GBまで行いました。

2009/5/11 1.29β1リリース
	(1)MS ゴシック & MS 明朝 JIS2004 対応フォント (KB927489)をインストール後に、カーソルや選択範囲の表示がずれるのを対策しました。

2011/9/3 1.29リリース
	(1)Windows7 32bit版/64bit版に対応しました。
	・開発環境をVisual Studio 2010に移行しました。
	・内部処理をUnicodeに変更しました。
　　　　・１６進ファイル格納で、BOM付きのUnicodeでテキストファイルを保存するようにしました。
	・クリップボードにはCF_UNICODETEXTで登録するようにしました。
	・環境変数APPDATA以下のDump4wフォルダーを作成するようにしました。dump4w_mark.iniもここに作成します。
	(2)16バイト目で漢字がまたがっているときに、貼り付け結果が不正になるのを対策しました。
	(3)BITMAP保存のメニューに...がついていなかったのを対策しました。
	(4)検索モードで、文字列検索にデフォルトとしてチェックがついていなかったのを対策しました。
	(5)インストーラを変更しました。

2011/9/3 1.29aリリース
	(1)1.29から選択範囲やマークの表示が2GB以上のときに不正に表示されるのを対策しました。

2011/9/10 1.30リリース
	(1)マークの色を５つ指定できるようにしました。
	(2)マークの上限を１００個から上限なしにしました。
	(3)範囲選択せずに部分保存、１６進ファイル格納をしたとき、サイズ０のファイルになるのを対策しました。
	(4)1.29からAPPDATAのパスを取得時にSJISで取得していたのを対策しました。

2011/10/29 1.31リリース
	(1)1.29から16進での検索で80以上が検索されなくなっていたのを対策しました。

2013/6/10 1.32リリース
	(1)Shift+マウスクリックで範囲選択できるようにしました。
	(2)Windows 8 32bit版/64bit版に対応しました。
        ・開発環境をVisual Studio 2012に移行しました。

2013/10/14 1.33リリース
	(1)ステータスバーの項目をクリックして設定を変更できるようにしました。
	(2)Stirlingでコピーした内容を貼り付けられるようにしました。
	(3)範囲選択して、16進検索で検索・置換を表示したときに初期値が0欠落していたのを対策しました。
	(4)コピーした16進が大文字の場合に貼り付けたときに値が不正だったのを対策しました。
	(5)メニューに...がついていなかったのを対策しました。
	(6)ファイルを開いていないときの読み取り専用チェックの内部処理がおかしかったのを対策しました。

*Windowsは、米国およびその他の国における米国Microsoft Corp.の登録商標です。
その他、一般に会社名、製品名は各社の商標または登録商標です。
　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　以上
------------------------------------------------------------------------
